summaryrefslogtreecommitdiffstats
path: root/source/d/distcc/distcc.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/d/distcc/distcc.SlackBuild')
-rwxr-xr-xsource/d/distcc/distcc.SlackBuild17
1 files changed, 12 insertions, 5 deletions
diff --git a/source/d/distcc/distcc.SlackBuild b/source/d/distcc/distcc.SlackBuild
index c432cddb7..99a9a5dbc 100755
--- a/source/d/distcc/distcc.SlackBuild
+++ b/source/d/distcc/distcc.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2008, 2009, 2010 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2010, 2013 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -21,8 +21,8 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-VERSION=2.18.3
-BUILD=${BUILD:-2}
+VERSION=3.1
+BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -45,7 +45,7 @@ mkdir -p $TMP $PKG
cd $TMP
rm -rf distcc-$VERSION
-tar xvf $CWD/distcc-$VERSION.tar.bz2 || exit 1
+tar xvf $CWD/distcc-$VERSION.tar.xz || exit 1
cd distcc-$VERSION || exit 1
chown -R root:root .
find . \
@@ -60,7 +60,9 @@ find . \
--sysconfdir=/etc \
--with-gtk \
--without-gnome \
- $ARCH-slackware-linux
+ --without-avahi \
+ --disable-Werror \
+ --target=$ARCH-slackware-linux
make $NUMJOBS || make || exit 1
make install DESTDIR=$PKG docdir=/usr/doc/distcc-$VERSION || exit 1
@@ -71,6 +73,10 @@ mkdir -p $PKG/usr/share/applications
ln -sf /usr/share/distcc/distccmon-gnome.desktop .
)
+for file in $PKG/etc/distcc/* ; do
+ mv $file ${file}.new
+done
+
gzip -9 $PKG/usr/man/man?/*
# Restore original timestamps on the doc files:
@@ -88,6 +94,7 @@ find $PKG | xargs file | grep -e "executable" -e "shared object" \
| grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
mkdir -p $PKG/install
+zcat $CWD/doinst.sh.gz > $PKG/install/doinst.sh
cat $CWD/slack-desc > $PKG/install/slack-desc
# Build the package: